:root {
    --headerH: 12rem;
}

* {
    box-sizing: unset;
}

@keyframes marquee3 {
    from {
        transform: translateX(0);
    }

    to {
        transform: translateX(-100%);
    }
}

@keyframes blk {
    0% {
        opacity: 0;
    }

    30% {
        opacity: 0;
    }

    31% {
        opacity: 1;
    }

    99% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

@keyframes ddm_m {
    0% {
        transform: scale(1);
    }

    50% {
        transform: matrix(1.05, 0.01, 0.01, 1.05, 0, -15);
    }

    100% {
        transform: scale(1);
    }
}

@keyframes ddm_m_reverse {
    0% {
        transform: scale(1);
    }

    50% {
        transform: matrix(0.8, 0.01, 0.01, 0.8, 0, -5);
    }

    100% {
        transform: scale(1);
    }
}

@keyframes blk2 {
    0% {
        opacity: 0;
    }

    49% {
        opacity: 0;
    }

    50% {
        opacity: 1;
    }

    99% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

@keyframes line-top {
    0% {
        transform: translateY(0px);
    }

    100% {
        transform: translateY(13px);
    }
}

/* 추가된 부분 */
@keyframes line-top-reverse {
    0% {
        transform: translateY(13px);
    }

    100% {
        transform: translateY(0px);
    }
}

@keyframes line-top-rotate {
    0% {
        transform: translateY(13px) rotateZ(0deg);
    }

    100% {
        transform: translateY(13px) rotateZ(45deg);
    }
}

/* 추가된 부분 */
@keyframes line-top-rotate-reverse {
    0% {
        transform: translateY(13px) rotateZ(45deg);
    }

    100% {
        transform: translateY(13px) rotateZ(0deg);
    }
}

@keyframes line-mid {
    0% {
        transform: scale(1);
    }

    100% {
        transform: scale(0);
    }
}

/* 추가된 부분 */
@keyframes line-mid-reverse {
    0% {
        transform: scale(0);
    }

    100% {
        transform: scale(1);
    }
}

@keyframes line-mid-invisible {
    0% {
        transform: scale(0);
    }

    100% {
        transform: scale(0);
    }
}

@keyframes line-bot {
    0% {
        transform: translateY(0px);
    }

    100% {
        transform: translateY(-13px);
    }
}

/* 추가된 부분 */
@keyframes line-bot-reverse {
    0% {
        transform: translateY(-13px);
    }

    100% {
        transform: translateY(0px);
    }
}

@keyframes line-bot-rotate {
    0% {
        transform: translateY(-13px) rotateZ(0deg);
    }

    100% {
        transform: translateY(-13px) rotateZ(135deg);
    }
}

/* 추가된 부분 */
@keyframes line-bot-rotate-reverse {
    0% {
        transform: translateY(-13px) rotateZ(135deg);
    }

    100% {
        transform: translateY(-13px) rotateZ(0deg);
    }
}

.hd_pops img {
    width: 100% !important;
}

#content_wrap {
    padding-bottom: 3%;
}

.k_new_btn {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.k_btn_inner {
    font-size: 1.5vw;
    background: black;
    color: white;
    padding: 1% 3%;
    border-radius: 30px;
}

.k_btn_inner > a {
    color: white;
}

.k_new_btn > .k_btn_inner:nth-child(2) {
    background: #0000008f;
    margin-left: 2%;
    padding: 0.7% 2% !important;
}

#bo_w .bo_w_tit .frm_input {
    padding-right: 0px !important;
}

.k_btn_inner > input {
    outline: none;
    appearance: none;
    border: unset;
    background: unset;
    color: white;
    font-size: 1.1em;
}

#bo_v > header {
    display: block;
    position: relative;
    background: transparent;
    font-size: unset;
    padding: unset;
    border-bottom: 1px solid black;
    font-family: "pretendard Variable";
}

#bo_v_title .bo_v_tit {
    display: block;
    font-size: 17px;
    margin: 5px 0 0;
    word-break: break-all;
    font-weight: 500;
    letter-spacing: -1px;
    font-family: "pretendard Variable" !important;
}

.board_title {
    font-family: "pretendard Variable";
}

.k_new_btn {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.k_btn_inner {
    font-size: 1.5vw;
    background: black;
    color: white;
    padding: 1% 3%;
    border-radius: 30px;
}

.k_btn_inner > a {
    color: white;
}

.k_new_btn > .k_btn_inner:nth-child(2) {
    background: #0000008f;
    margin-left: 2%;
    padding: 0.7% 2% !important;
}

#bo_w .bo_w_tit .frm_input {
    padding-right: 0px !important;
}

.k_btn_inner > input {
    outline: none;
    appearance: none;
    border: unset;
    background: unset;
    color: white;
    font-size: 1.1em;
}

#bo_v > header {
    display: block;
    position: relative;
    background: transparent;
    font-size: unset;
    padding: unset;
    border-bottom: 1px solid black;
    font-family: "pretendard Variable";
}

#bo_v_con {
    margin: 30px 0 30px;
    width: 100%;
    line-height: 1.7em;
    min-height: 200px;
    word-break: break-all;
    overflow: hidden;
    font-size: 1.3em;
    font-family: "pretendard Variable";
}

.mac_opt img {
    max-width: 100%;
}

#tttt {
    opacity: 1;
    z-index: 9999;
}

#content_wrap {
    padding-bottom: 0% !important;
}

header h1 {
    margin: 50px 0;
    font-size: 0.7em;
    font-weight: 100;
    text-align: center;
    font-family: "pretendard Variable";
}

header ul {
    width: 13.5%;
    margin: 0 auto;
    right: -16%;
}

header ul li {
    float: left;
    list-style: none;
    position: relative;
    width: 100%;
}

header ul li a {
    font-family: "pretendard Variable";
    font: 700 0.9vw "pretendard Variable";
    text-transform: uppercase;
    position: relative;
    color: #d90000;
    text-decoration: none;
    border: 3px solid #d90000;
    letter-spacing: 1px;
    padding: 6% 9%;
    display: block;
    width: 150px;
    z-index: 5000;
    width: 100%;
    box-sizing: border-box;
}

header ul li a i {
    font-size: 0.7em !important;
    position: absolute;
    right: 10%;
    top: 40%;
}

header ul li .drop-down {
    position: absolute;
    padding: 0;
    display: none;
    margin: 0;
    left: 0;
    z-index: 0;
    width: 100%;
    background: white;
}

header ul li .drop-down li {
    position: relative;
    float: none;
    width: 100%;
}

header ul li .drop-down li a {
    border-top: none;
    width: 150px;
    width: 100%;
}

header ul li .drop-down li a:hover {
    background: #d90000;
    color: #ffffff;
}

header ul li .drop-down li:nth-of-type(1) a {
    border-top: none;
}

header .accent {
    top: 0;
    left: 0;
    width: 0%;
    height: 100%;
    background: #d90000;
    position: absolute;
    transition: 0.3s ease;
}

header .animate {
    width: 100%;
    transition: 0.3s ease;
}

header .item:hover {
    color: #ffffff;
}

header > ul {
    right: 1%;
    top: 114%;
    background: white;
}

/* -------------------header 커스텀 시작------------------- */

@keyframes dropHeader {
    0% {
        top: -5rem;
    }

    100% {
        top: 0;
    }
}

@keyframes insertHeader {
    0% {
        top: 0;
    }

    100% {
        top: -7rem;
    }
}

header {
    position: fixed;
    top: 0;
    left: 0;
    background-color: #fff;
    z-index: 2001;
}

header img {
    width: 100%;
}

header.drop {
    position: fixed;
}

header.insert {
    position: fixed;
    top: calc(var(--headerH) * -1);
}

header {
    width: 100%;
    font-family: "Pretendard Variable", sans-serif;
    font-size: 1.8rem;
    font-weight: 500;
    transition: all 0.3s;
}

.haeder_inner {
    display: flex;
    width: 100%;
    max-width: 170rem;
    margin: 0 auto;
    justify-content: space-between;
    height: var(--headerH);
}

.header_logo {
    height: 100%;
}

.header_menu {
    width: 90rem;
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header_menu_1 {
    overflow: hidden;
    transition:
        opacity 0.3s,
        color 0.3s;
    padding: 0.8rem 3rem 0.8rem 0.8rem;
    justify-content: start;
}

.header_menu_1::before {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to right, #ff1400 60%, transparent);
    z-index: -1;
    transform: translateX(-100%);
    opacity: 0;
    transition: all 0.3s;
}

.header_menu_1:hover {
    color: #ffffff;

    &::before {
        opacity: 1;
        transform: translateX(0);
    }
}

.header_quick {
    position: fixed;
    bottom: calc(7.6rem + 1rem);
    right: 2.8rem;
    z-index: 2000;
    gap: 1.2rem;
    align-items: end;
}

.header_quick .store_list {
    gap: 1.2rem;
    overflow: hidden;
    width: 0;
    opacity: 0;
    transition: all 0.5s;
}

.header_quick .bm {
    gap: 0;
    cursor: pointer;
    transition: all 0.2s;
    &.hover {
        gap: 1.2rem;
        .store_list {
            width: calc(calc(11.5rem * 4) + calc(1.2rem * 3));
            opacity: 1;
        }
        .guide {
            left: 4.6rem;
        }
    }
}

.header_quick .guide {
    display: block;
    bottom: 0;
    left: 0;
    background-color: #fff;
    padding: 0.5rem 1rem;
    border-radius: 999px;
    font-weight: 800;
    font-size: 1.5rem;
    font-family: "pretendard variable";
    filter: drop-shadow(0 0 4px rgba(0, 0, 0, 0.2));
    transition: all 0.5s;
}

/* ----------------------------- header mobile ----------------------------- */
@media (max-width: 599px) {
    :root {
        --headerH: 10rem;
    }
    /* hamburger */
    .hamburger {
        align-self: center;
        position: fixed;
        z-index: 2;
        right: 3.8647vw;
    }
    .hamburger-menu {
        width: 8.6957vw;
        height: 8.6957vw;
        display: flex;
        flex-direction: column;
        box-sizing: border-box;
        padding: 1.9324vw 0.9662vw;
        justify-content: space-between;

        .line {
            width: 100%;
            height: 0.4831vw;
            background-color: #000;
            transition: all 0.3s;
        }

        .line:nth-child(2) {
            background-color: #d90000;
            transform-origin: left;
        }
    }

    /* btn active */
    .hamburger.active {
        .hamburger-menu .line {
            &:nth-child(1) {
                transform: translateY(2.1739vw) rotate(45deg);
            }
            &:nth-child(3) {
                transform: translateY(-2.1739vw) rotate(-45deg);
                background-color: #d90000;
            }

            &:nth-child(2) {
                transform: scaleX(0);
            }
        }
    }

    .haeder_inner {
        padding: 0 2.8986vw;
    }

    /* header menu */
    .header .header_menu {
        position: fixed;
        right: -100%;
        width: 63.285vw;
        flex-direction: column;
        background-color: #fff;
        justify-content: center;
        gap: 3.8647vw;
        border-left: 0.2415vw solid #666;
        z-index: 1;
        transition: all 0.5s;
    }

    .header_menu-bg {
        display: block;
        position: absolute;
        top: 0;
        right: 0;
        width: 100vw;
        height: 100vh;
        background-color: rgba(0, 0, 0, 0.3);
        opacity: 0;
        visibility: hidden;
        transition: all 0.2s;

        &.active {
            opacity: 1;
            visibility: visible;
        }
    }

    .header_menu.active {
        right: -0.2415vw;
    }

    .header_menu_1 {
        font-size: 5.0725vw;
        color: #500701;

         &::before {
            display: none;
        }
    }

    .header_menu_1:hover {
        color: #000;

        &::before {
            opacity: 0;
            transform: translateX(0);
        }
    }
    .header_quick {
        bottom: 28.986vw;
        right: 1.4rem;
    }

    .header_menu_1:hover {
        color: #000;

        &::before {
            opacity: 0;
            transform: translateX(0);
        }
    }
}
